#ifndef __LCD_TOUCH_H_
#define __LCD_TOUCH_H_

#include "main.h"

#define TP_PRESS_DOWN    0x80  
#define TP_CATH_PRES     0x40  

typedef struct
{
    uint16_t x[5];
    uint16_t y[5];
    uint8_t  statu;
    uint16_t paint_color; 
} tp_dev_t;

extern tp_dev_t tp_dev;

void TP_Init(void);
void TP_Scan(void);
void Load_Draw_Board(void);
void TP_Test(void);

#endif
